Saltar para o conteúdo principal
GET
/
public
/
v1
/
billing-service
/
vendors
/
{external-vendor-id}
/
account-activity
Get Vendor Account Activity
curl --request GET \
  --url https://api.topsort.com/public/v1/billing-service/vendors/{external-vendor-id}/account-activity \
  --header 'Authorization: Bearer <token>'
{
  "currencyCode": "<string>",
  "lines": [
    {
      "amount": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "reasonType": "<string>"
    }
  ]
}

Autorizações

Authorization
string
header
obrigatório

A valid API key generated in Topsort's UI.

Parâmetros de caminho

external-vendor-id
string
obrigatório

The External ID of the Vendor to retrieve.

Minimum string length: 1

Parâmetros de consulta

start_date
string<date-time> | null
obrigatório

The start of the date range for which to retrieve. Must include the Timezone definition.

end_date
string<date-time> | null
obrigatório

The end of the date range for which to retrieve. Must include the Timezone definition.

Resposta

Successful Response

Response body for the Vendor Account Activity fetch.

currencyCode
string
obrigatório
lines
BillingAccountActivityLine · object[]
obrigatório